Name: timidity-eaw-patches
Version: 1.2
Release: alt1

%define title eawpats

Summary: Patch set for the timidity midi->wave converter/player
Group: Sound
License: Free
Url: http://www.stardate.bc.ca/eawpatches/html/default.htm
Source: http://madchat.org/music/%{title}12_full.tar.bz2

BuildArch: noarch
Requires: timidity-instruments >= 1.0-ipl13mdk

%description
Eawpatches is the best GUS patch set for TiMidity++. Eawpatches is
maintained (tweaked and tuned) by Eric A Welsh.

%define customdocdir %_docdir/%name-%version

%install
%__mkdir_p %buildroot%_datadir/timidity
%__tar -jxvf %SOURCE0 -C %buildroot%_datadir/timidity/

# Creating eawpats.cfg
%__cat <<EOF > %buildroot%_datadir/timidity/%title.cfg
dir %_datadir/timidity/%title
source gravis.cfg
source gsdrums.cfg
source gssfx.cfg
source xgmap2.cfg
EOF

%__rm -rf %buildroot%_datadir/timidity/%title/{linuxconfig,winconfig}

# docs 
%__mkdir_p %buildroot%customdocdir
%__mv `find %buildroot%_datadir/timidity/%title -iname *.txt` %buildroot%customdocdir/

%define conf_string source %title.cfg
%define config %_sysconfdir/timidity.cfg

%post
if [ -f %config ]; then
        %__grep -qs '^%conf_string$' %config ||
        echo '%conf_string' >> %config
fi

%postun
[ $1 = 0 ] || exit 0
if [ -f %config ]; then
	%__sed '/%conf_string/d' < %config > %config.new
	%__mv %config.new %config
fi ||:

%triggerin -- TiMidity++
if [ -f %config ]; then
        %__grep -qs '^%conf_string$' %config ||
        echo '%conf_string' >> %config
fi

%triggerpostun -- %name < 1.1-alt2
[ $2 != 0 ] || exit 0
if [ -f %config ]; then
        %__grep -qs '^%conf_string$' %config ||
        echo '%conf_string' >> %config
fi

%files
%_datadir/timidity/%title/*
%_datadir/timidity/%title.cfg
%doc %customdocdir

%changelog
* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2-alt1
- new version

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt2
- Improvements in post* and trigger* sections. 

* Sun May 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1-alt1
- first build for Sisyphus.
